Subject: FVWM: Re: fvwmtabs - feature request ?

From: scott <[email-masked]>
Date: Fri, 17 Oct 2003 10:01:42 +1000

Hi Tobias,

: the current tabsize is always resized to a minimum
: of the possible titlewidth while the others are maximazed. It
: would be much better if every tab has equal width !

At the moment the tab-button for the visible tab is resized to
allow the title text to be fully visible & the remaining space is
shared equally between the remaining tab-buttons for the non-visible
windows.

Earlier versions of FvwmTabs used to share space equally among
ALL the tab-buttons (I think this is what you are asking for?)
which works fine if you only have a few tabs & the title text is
not very long. However if you use many tabs &/or long title text
(much more common) this quickly becomes a problem as you can't
see all the title text for the visible tab.

Hence the current arrangement which deliberately tries to solve
this problem.

I don't see any advantages in using the earlier arrangement - you
don't really *gain* anything. Aesthetics perhaps? Am I misunderstanding
something?

: It is
: then possible to easyly see which tab is currently used and
: therefore the tabs can be switched faster.

Color & tab-button relief are the best ways to see which tab is visible.

Anyway, consider what's described above & tell me if you *really*
need this feature. If you do I can add it in as an option.

What do other FvwmTabs users think about this issue? agree? disagree?

SCoTT. :)
-- 
[email-masked]
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Tobias <[email-masked]>
Date: Sat, 18 Oct 2003 17:40:47 +0200

HI Scott

thanks for the fast answer :-)

On Fri, 17 Oct 2003 10:01:42 +1000

> ALL the tab-buttons (I think this is what you are asking for?)

yes.

> see all the title text for the visible tab.

Yes and i think thats the problem with me. I dont have any meaningfull
long names in the Title right now (only "bash") and according to
your procedure has the currently used tab the smallest width ! 
Using TabNext and TabPrev is then very confusing !!

eg.

Fvwm| BASH | bash      | bash           | bash            |
       ^ currently used

TabNext:
Fvwm| bash      | BASH | bash            | bash            |

TabNext:
Fvwm| bash      | bash            | BASH | bash            |

Just try it with some very short Titles.

--------------

I also tried the current behavior with longer titles and think
its running fine as long as the titles have nearly equal length. But
if some tab is very small, its again very confusing 
(i have tried a very long name (>50 letters)).

----------------

In generell i am not interested in what title the xterm has.
Instead i am only interested in what Xterm from the left i am in.
eg. .include file is in "leftmost(first)" Tab.
    .c file in second leftmost tab
    make(shell) in third
    <.. next files..>

And if i have many tabs in one manager i can also look at the
"status line"(directly below the Tabs) and see the corresponding
long title.

> don't really *gain* anything. Aesthetics perhaps? Am I misunderstanding

The currently tab-width procedure is confusing when used with short 
titles. (see above.)

[ Perhaps its only confusing for me. But try it yourself. ]

> need this feature. If you do I can add it in as an option.

It would be fine for me, if all the tabs do have equal length
(like fluxbox).

I would be very gratefull for that feature. :-)

As far as you know i tried to patch on my one, but my perl knowledge is
limited.

> What do other FvwmTabs users think about this issue? agree? disagree?

:-)

Thanks in advance, Scott

Greets
Tobias

---

From: Scott Smedley <[email-masked]>
Date: Sun, 19 Oct 2003 13:45:23 +1000

Hi Tobias,

> In generell i am not interested in what title the xterm has.

Ok, I will add an option to force equal-width tab-buttons. I will
call this option "tobiasTabs"! Just kidding! :) I'll use "equalWidthTabs"
or something.

>     .c file in second leftmost tab

The Ctrl-Alt-number key-bindings are the fastest way to switch
b/w tabs. ie. Ctrl-Alt-0 will select/display the first tab.

SCoTT. :)

---

From: Tobias <[email-masked]>
Date: Sun, 19 Oct 2003 11:54:04 +0200

Hi Scott

On Sun, 19 Oct 2003 13:45:23 +1000

> call this option "tobiasTabs"! Just kidding! :) I'll use "equalWidthTabs"

hehe.. many thanks :-)

> b/w tabs. ie. Ctrl-Alt-0 will select/display the first tab.

I regulary use more than 4 *terms and therefore have to use more than 
4 special bindings. Thats why i use the Priv- and NextTab function instead.

Thanks again

Greets
Tobias

---

From: Mikhael Goikhman <[email-masked]>
Date: Mon, 20 Oct 2003 00:28:11 +0300

> b/w tabs. ie. Ctrl-Alt-0 will select/display the first tab.

I do not currently use FvwmTabs, but I would dislike such bindings.
Our keyboard has "1"/"F1" as the first number.

I would use 1 2 3 4 5... to identify tabs. And 0 means switch to the
last tab used (then 0 may be used to switch between any two tabs).

FYI, it may be a bit problematic for someone with fvwm-themes to use
exactly these bindings, since Ctrl-Alt-1 to Ctrl-Alt-4 are used there to
switch between desks, and Ctrl-Alt-0 to switch to the previously used
desk. There is a similar idea for switching between pages using keypad.

Regards,
Mikhael.

---

From: scott <[email-masked]>
Date: Mon, 20 Oct 2003 13:03:15 +1000

Hi Mikhael,

: > The Ctrl-Alt-number key-bindings are the fastest way to switch
: > b/w tabs. ie. Ctrl-Alt-0 will select/display the first tab.
: I do not currently use FvwmTabs, but I would dislike such bindings.
: Our keyboard has "1"/"F1" as the first number.

All the key-bindings for FvwmTabs are configurable with the standard
FVWM "Key" command.

: I would use 1 2 3 4 5... to identify tabs. And 0 means switch to the
: last tab used (then 0 may be used to switch between any two tabs).

An option to display the last tab is a good idea. I will add it soon.

: FYI, it may be a bit problematic for someone with fvwm-themes to use
: exactly these bindings, since Ctrl-Alt-1 to Ctrl-Alt-4 are used there to
: switch between desks, and Ctrl-Alt-0 to switch to the previously used
: desk. There is a similar idea for switching between pages using keypad.

Thanks, I wasn't aware of this. The key-bindings are configurable &
can be easily changed. The fvwmtabrc file on the website is actually
the one I use (ie. it's my settings). Do you think I should provide
a modified version of the fvwmtabrc file that has bindings less
likely to clash with other FVWM users?

Approximately what percentage of FVWM users use fvwm-themes anyway?
(It's infinitely larger than the percentage of FvwmTabs users I'm sure! :)

SCoTT. :)

---

From: xavier <[email-masked]>
Date: Mon, 20 Oct 2003 22:41:48 -0400

On Fri, Oct 17, 2003 at 10:01:42AM +1000, scott wrote:
|Hi Tobias,
|
|: the current tabsize is always resized to a minimum
|: of the possible titlewidth while the others are maximazed. It
|: would be much better if every tab has equal width !
|
|At the moment the tab-button for the visible tab is resized to
|allow the title text to be fully visible & the remaining space is
|shared equally between the remaining tab-buttons for the non-visible
|windows.
|
|Earlier versions of FvwmTabs used to share space equally among
|ALL the tab-buttons (I think this is what you are asking for?)
|which works fine if you only have a few tabs & the title text is
|not very long. However if you use many tabs &/or long title text
|(much more common) this quickly becomes a problem as you can't
|see all the title text for the visible tab.
|
|Hence the current arrangement which deliberately tries to solve
|this problem.
|
|I don't see any advantages in using the earlier arrangement - you
|don't really *gain* anything. Aesthetics perhaps? Am I misunderstanding
|something?

what about a solution that share space equally among others tabs,
and set the current tab size to at least the size of others,
or bigger if needed ?

this way it's looking good when i'm switching tabs, and have only 3 xterms 
in a tab, and it's  usable too when i have huges titles, or
many windows.

thanks

-- 
xavier